<?php require_once('../../Connections/cn.php'); ?>
<?php


require('../fpdf.php');

class PDF extends FPDF
{
//Cabecera de página
function Header()
{
    //Logo
    $this->Image('ulac.jpg',10,8,33);
    //Arial bold 15
    $this->SetFont('Arial','B',12);
    //Movernos a la derecha
    $this->Cell(80);
    //Título
    $this->Cell(30,10,'Universidad Latinoamericana y del Caribe',0,0,'C');
    //Salto de línea
    $this->Ln(25);
	 $this->SetFont('Arial','B',15);
	 $this->Cell(200,15,'ACTA DE CALIFICACION FINAL',0,0,'C');
     $this->Ln();
	 $this->Cell(200,15,'CARRERA: '.$carrera,0,0,'L');
     $this->Ln();
}
//Pie de página
function Footer()
{
    //Posición: a 1,5 cm del final
    $this->SetY(-15);
    //Arial italic 8
    $this->SetFont('Arial','I',8);
    //Número de página
    $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
}

//Cargar los datos
function LoadData($file)
{
    //Leer las líneas del fichero
    //$lines=file($file);
    $data=array();
    //foreach($lines as $line)
     //   $data[]=explode(';',chop($line));
    //
	$f=1;
    while($fil=mysql_fetch_array($file)){

	$registro[0]=$f;
	$registro[1]=$row['cedula'];
	$registro[2]=utf8_decode($row['apellidos'].", ".$row['nombres']);
	$registro[3]=$row['nota'];

	$nota->convertir($row['nota']);
	$registro[$titulo[4]]=strtoupper($nota->resultado);
	$tabla[]=$registro;
	$f++;
}		
    return $data;
}

//Tabla simple
function BasicTable($header,$data)
{
    //Cabecera
    foreach($header as $col)
        $this->Cell(40,7,$col,1);
    $this->Ln();
    //Datos
    foreach($data as $row)
    {
        foreach($row as $col)
            $this->Cell(40,6,$col,1);
        $this->Ln();
    }
}

//Una tabla más completa
function ImprovedTable($header,$data)
{
    //Anchuras de las columnas
    $w=array(40,35,40,45);
    //Cabeceras
    for($i=0;$i<2;$i++)
        $this->Cell($w[$i],7,$header[$i],1,0,'C');
    $this->Ln();
    //Datos
    foreach($data as $row)
    {
        $this->Cell($w[0],6,$row[0],'LR');
        $this->Cell($w[1],6,$row[1],'LR');
        $this->Cell($w[2],6,$row[2],'LR',0,'R');
        $this->Cell($w[3],6,$row[3],'LR',0,'R');
        $this->Ln();
    }
    //Línea de cierre
    $this->Cell(array_sum($w),0,'','T');
}

//Tabla coloreada
function FancyTable($header,$data)
{
    //Colores, ancho de línea y fuente en negrita
    $this->SetFillColor(255,0,0);
    $this->SetTextColor(255);
    $this->SetDrawColor(128,0,0);
    $this->SetLineWidth(.3);
    $this->SetFont('','B');
    //Cabecera
    $w=array(10,25,80,40);
    for($i=0;$i<count($header);$i++)
        $this->Cell($w[$i],7,$header[$i],1,0,'C',1);
    $this->Ln();
    //Restauración de colores y fuentes
    $this->SetFillColor(224,235,255);
    $this->SetTextColor(0);
    $this->SetFont('');
    //Datos
    $fill=true;
	$i=1;
    foreach($data as $row)
    {
	    if ($i<30) {
            $this->Cell($w[0],6,$row[0],'LR',0,'R',$fill);
            $this->Cell($w[1],6,$row[1],'LR',0,'R',$fill);
            $this->Cell($w[2],6,$row[2],'LR',0,'L',$fill);
            $this->Cell($w[3],6,$row[3],'LR',0,'L',$fill);
            $this->Ln();
		}
		else {
		    $i=1;
			$pdf->AddPage();
			}
			$i=+i;
				
        $fill=!$fill;
		
    }
    $this->Cell(array_sum($w),0,'','T');
}
}

//Creación del objeto de la clase heredada

mysql_select_db($database_cn, $cn);


//asignatura
$sql2 = "select * from alumnos where genero='M' order by apellidos,nombres";
$rs2=mysql_query($sql2,$cn);
$row2=mysql_fetch_array($rs2);

// desde aqui
$pdf=new PDF();
$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Times','',12);
//for($i=1;$i<=40;$i++)
//    $pdf->Cell(0,10,'Imprimiendo línea número '.$i,0,1);



//Carga de datos
//$data=$pdf->LoadData($row2);
$header=array('N°','Cedula','Apellidos y Nombres','Ciudad');
$f=1;
$data=array();
while($row2=mysql_fetch_array($rs2)){
	
    $alumno=$row2['apellidos'].", ".$row2['nombres'];
	$registro[0]=$f;
	$registro[1]=$row2['cedula'];
	$registro[2]=$alumno;
	$registro[3]=$row2['lugar'];
	$data[]=$registro;
	$f++;
}
$pdf->SetFont('Arial','',10);
//$pdf->AddPage();
//$pdf->BasicTable($header,$data);
//$pdf->AddPage();
//$pdf->ImprovedTable($header,$data);
//$pdf->AddPage();

$pdf->FancyTable($header,$data);
$pdf->Output();


$pdf->Output();
?>
